%global momorel 4
%global optflags $(echo -n '%{optflags}' | sed -e 's/-fstack-protector/-fno-stack-protector/g')

%global srcver v1_13_4

Summary: Library for H323 spec.
Name: openh323
Version: 1.13.4
Release: %{momorel}m
URL: http://www.openh323.org/
%NoSource 0 http://www.gnomemeeting.org/admin/downloads/latest/sources/sources/%{name}-%{srcver}-src.tar.gz b8bb31b4b9f43158c3658da4182ebeee
Patch7: openh323-make.patch
Patch8: openh323-make-lib64.patch
Patch11: openh323-1.13.4-libname.patch
Patch12: openh323-1.12.0-asnparser.patch
Patch13: openh323-1.12.0-nosamples.patch
Patch14: openh323-1.13.4-prefix.patch
Patch15: openh323-1.13.4-PIC.patch
Patch16: openh323-1.13.2-ptlib-config.patch
Patch17: openh323-1.13.4-gcc34.patch
License: MPL
Group: System Environment/Libraries
Requires: speex pwlib >= 1.6.5
BuildRequires: pwlib-devel >= 1.6.5-3m
BuildRequires: XFree86-devel
BuildPrereq: gcc-c++ >= 3.4.1-1m
BuildPrereq: speex-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
Implementation of the ITU H.323 teleconferencing protocol.

%package devel
Summary: Development package for openh323
Group: Development/Libraries
Requires: openh323 = %{version}-%{release}

%description devel
Static libraries and header files for development with openh323.

%prep
%setup -q -n openh323
%patch11 -p1 -b .libname
%patch12 -p1 -b .ansparser
%patch13 -p1 -b .nosamples
%patch14 -p1 -b .prefix
%patch15 -p1 -b .PIC
%patch16 -p1 -b .ptlib-config
%patch17 -p1 -b .gcc34

%build
autoconf
%configure --enable-localspeex=no
%make optshared

%install
rm -rf %{buildroot}
make PREFIX=%{buildroot}%{_prefix} LIBDIR=%{buildroot}%{_libdir} install

install -m 644 version.h %{buildroot}%{_includedir}/openh323
sed -e's@\$(OPENH323DIR)/include@&/openh323@' < openh323u.mak \
	> %{buildroot}%{_datadir}/openh323/openh323u.mak
pushd %{buildroot}/usr/share/openh323
%if %{_lib} == "lib64"
patch -p1 < %{PATCH8}
%else
patch -p1 < %{PATCH7}
%endif
popd

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc ReadMe.txt mpl-1.0.htm
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root)
%{_libdir}/*.so
%{_includedir}/*
%{_datadir}/openh323/*

%changelog
* Fri Feb 11 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (1.13.4-4m)
- enable x86_64.

* Sun Aug 22 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (1.13.4-3m)
- rebuild against gcc-c++-3.4.1
- add BuildPrereq: gcc-c++
- remove -fstack-protector (it causes internal compiler error...)
- add gcc34 patch

* Sat Aug 21 2004 Kazuhiko <kazuhiko@fdiary.net>
- (1.13.4-2m)
- rebuild against speex-1.0

* Sun Apr 25 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (1.13.4-1m)
- update to 1.13.4

* Sat Mar  6 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (1.13.2-1m)
- update to 1.13.2
- sync with Fedora Core (openh323-1.13.2-1.src.rpm)

* Sun Mar  9 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (1.11.6-4m)
  rebuild against openssl 0.9.7a

* Thu Feb 27 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.11.6-3m)
- install version.h

* Wed Feb 19 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.11.6-2m)
- remove speex distribution.
- BuildPrereq: speex-devel

* Wed Feb 12 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.11.6-1m)
- version 1.11.6

* Thu Feb  6 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.11.5-1m)
- version 1.11.5

* Tue Jan  7 2003 Nalin Dahyabhai <nalin@redhat.com> 1.9.10-5
- Rebuild

* Wed Oct 23 2002 Alexander Larsson <alexl@redhat.com> 1.9.10-4
- Add speex header files

* Wed Oct 23 2002 Alexander Larsson <alexl@redhat.com> 1.9.10-3
- Fix unpackages files

* Wed Oct 23 2002 Alexander Larsson <alexl@redhat.com> 1.9.10-2
- Fix speex linking
- Remove custom strndup that was colliding with system one

* Wed Oct 23 2002 Alexander Larsson <alexl@redhat.com> 1.9.10-1
- Update to 1.9.10
- Include speex tarball

* Wed Oct  9 2002 Alex Larsson <alexl@redhat.com> 1.9.3-5
- Change to use _libdir etc. throughout specfile
- Build with -fPIC

* Sat Aug 10 2002 Elliot Lee <sopwith@redhat.com>
- rebuilt with gcc-3.2 (we hope)

* Tue Aug  6 2002 Alexander Larsson <alexl@redhat.com> 1.9.3-3
- Removed excludearch ia64

* Mon Jul 22 2002 Tim Powers <timp@redhat.com> 1.9.3-2
- rebuild using gcc-3.2-0.1

* Thu Jul 11 2002 Alexander Larsson <alexl@redhat.com> 1.9.3-1
- Update to 1.9.3

* Tue Jul  2 2002 Alexander Larsson <alexl@redhat.com> 1.9.1-1
- Updated to 1.9.1, some changes borrowed from
- the rpms by Carl-Johan Kjellander 

* Fri Mar 22 2002 Alex Larsson <alexl@redhat.com>
- Add versioned dependency on main package in devel package
- Fix to long line in desctiption

* Fri Mar  8 2002 Alex Larsson <alexl@redhat.com>
- Bump version to rebuild against new pwlib

* Mon Feb 25 2002 Alex Larsson <alexl@redhat.com>
- Update to 1.8.0

* Wed Sep 28 2001 Alex Larsson <alexl@redhat.com> 1.6.1-3
- made the devel package require the binary package

* Mon Aug 13 2001 Alexander Larsson <alexl@redhat.com> 1.6.0-2
- Changed libname to liboh323

* Mon Aug 13 2001 Alexander Larsson <alexl@redhat.com> 1.6.0-1
- Upgraded to 1.6.0

* Thu Jul  5 2001 Elliot Lee <sopwith@redhat.com> 1.5.5-3
- Remove PLATFORM_TYPE from libname

* Wed Jul  4 2001 Elliot Lee <sopwith@redhat.com> 1.5.5-2
- More fixups. The patch is not named IHATEYOU because of a loving relationship...

* Wed Jul  4 2001 Jonathan Blandford <jrb@redhat.com>
- Initial build.
